define(function (require) {
  var App = require('app');
  var SEDModel = require('sed-model');

  return Backbone.Collection.extend({
    model: SEDModel,

    initialize: function (opts) {
      this.options = opts || {};
    },
    url: function () {
      var authorityId = App.Resources.getAssigningAuthority();
      return window.location.protocol + '//' + window.location.host + '/' + 'mcc-support-resources/rest/PatientResource/' + authorityId + '/patient-export-details?mccPatientId=' + window.sessionStorage.getItem('patientId');
    }

  });
});
