define(function (require) {
  var App = require('app');
  var template = require('text!../html/footer.html');

  return Backbone.Marionette.ItemView.extend({
    id: 'footer',
    tagName: 'div',
    className: '',
    template: _.template(template),

    serializeData: function () {
      return {
        appName:    App.name,
        version:    App.version,
        usr:        App.Resources.getUserName(),
        isLoggedin: App.Resources.isLoggedIn()
      };
    },
    initialize: function () {
      App.vent.on('update:footer', this.updateFooter);
    },
    updateFooter : function () {
      $('#loginStatus').html('Not Logged In');
    }

  });
});
