define(function (require) {
  var App = require('app');
  var template = require('text!../html/headerTitle.html');

  return Backbone.Marionette.ItemView.extend({
    initialize: function (args) {
      this.title1 = args.title1;
      this.title2 = args.title2;
    },
    template: _.template(template),
    serializeData: function () {
      return {
        title1: this.title1,
        title2: this.title2
      };
    }
  });
});