define(function (require) {
  var App = require('app');
  var exitPopupTemplate = require('text!../html/exitPopupView.html');
  return Backbone.Marionette.ItemView.extend({
    id: 'modalBox',
    tagName: 'div',
    template: _.template(exitPopupTemplate),

    serializeData: function () {
      return {
        launchpad: '../launchpad',
        logout:    App.Resources.get('logout').href || '../MobileHealthPlatformWeb/cleanUpSession'
      };
    },
    events: {
      'click #logout': 'onLogout'
    },
    onLogout: function () {
      App.cleanUpSession();
    }
  });
});