define(function (require) {
  var App = require('app');
  var template = require('text!../html/eula.html');

  return Backbone.Marionette.ItemView.extend({
    id: 'eula',
    tagName: 'div',
    className: '',
    template: _.template(template),

    serializeData: function () {
      return {
        appName: App.name,
        version: App.version
      };
    },
    events: {
      'click #decline-button': 'decline',
      'click #accept-button': 'accept'
    },
    decline: function (e) {
      if (typeof device !== 'undefined' && 'Windows' || 'Android') {
        navigator.app.exitApp();
      }
      else {
        e.preventDefault();
      }
    },
    accept: function (e) {
      e.preventDefault();
      localStorage.setItem('eulaAccepted', 'true');
      window.location.reload();
    }

  });
});