define(function (require) {
  var App = require('app');
  var template = require('text!../html/filtersView.html');
  var Patients = require('patients');
  var Patient = require('patient-information');

  return Backbone.Marionette.ItemView.extend({
    id: 'filters-view',
    tagName: 'div',
    className: '',
    template: _.template(template),

    events: {

    },
    initialize : function (args) {
      this.sortByOption = args.sortByOption || 0;
    },
    onShow : function () {
      if (parseInt(this.sortByOption) === 0) {
        $('#call-queue-view').attr('checked', true);
      }
      if (parseInt(this.sortByOption) === 2) {
        $('#patient-name-view').attr('checked', true);
      }
    }
  });
});
